Constructs the EvFork watcher object

- « EvFork

- EvFork::createStopped »

- PHP Manual
- EvFork
- Constructs the EvFork watcher object

# EvFork::__construct

(PECL ev >= 0.2.0)

EvFork::__construct — Constructs the EvFork watcher object

### Description

public EvFork::__construct( callable `$callback` , mixed `$data` = `null` , int `$priority` = 0 )

Constructs the EvFork watcher object and starts the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### See Also

- EvLoop::fork() - Creates EvFork watcher object associated with the current event loop instance
- EvCheck